This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 873862 - Deleting a directory being monitored by gamin causes strange events to be queued repeatedly
Deleting a directory being monitored by gamin causes strange events to be que...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-06 15:56 EST by Corey Ashford
Modified: 2013-08-01 00:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:29:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
SGI FAM chapter 8 monitor.c example (2.47 KB, text/plain)
2012-11-06 15:56 EST, Corey Ashford
no flags Details

  None (edit)
Description Corey Ashford 2012-11-06 15:56:39 EST
Created attachment 639611 [details]
SGI FAM chapter 8 monitor.c example

Description of problem: If I use gamin to monitor an existing directory, and
then delete that directory, the monitoring program will receive a never-ending stream of FAMChanged events on two strangely-named objects, after the directory has been deleted.

Version-Release number of selected component (if applicable):
gamin-0.1.10-12.fc17.x86_64

How reproducible: Happens 100% of the time

Steps to Reproduce:
1. Compile and link the "monitor.c" example program (attached) from SGI's FAM web site
   yum install gamin-devel
   gcc -o monitor monitor.c -lfam

2. Create a directory on a local disk (no NFS).  For example, "mkdir /tmp/newdir"
3. In one terminal window, run "./monitor /tmp/newdir"
4. In another terminal window, delete that directory, "rmdir /tmp/newdir"
5. Observe the repeated FAMChanged events on two strangely-named objects.
  
Actual results:
  Output of ./monitor /tmp/newdir:
  /tmp/newdir       FAMExists
  /* after the rmdir /tmp/newdir */
  /tmp/newdir       FAMEndExist
  /tmp/newdir       FAMDeleted
  vteCH0BNW         FAMChanged
  vteND0BNW         FAMChanged
  vteCH0BNW         FAMChanged
  vteND0BNW         FAMChanged
  vteCH0BNW         FAMChanged
  vteND0BNW         FAMChanged
  vteCH0BNW         FAMChanged
  vteND0BNW         FAMChanged
  ... /* repeats forever */

Expected results:
  /tmp/newdir       FAMExists
  /* after the rmdir /tmp/newdir */
  /tmp/newdir       FAMEndExist
  /tmp/newdir       FAMDeleted


Additional info:

Works correctly on RHEL 6.3
Comment 1 Fedora End Of Life 2013-07-03 20:36:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 00:29:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.